/*
 * com_ericsson_cba_trace_testapp_hightraf.h
 *
 *  Created on: 2011-11-08
 *      Author: lmctdlt
 */

#undef TRACEPOINT_PROVIDER
#define TRACEPOINT_PROVIDER com_ericsson_cba_trace_testapp_hightraf

#if !defined(_COM_ERICSSON_CBA_TRACE_TESTAPP_HIGHTRAF_H) || defined(TRACEPOINT_HEADER_MULTI_READ)
#define _COM_ERICSSON_CBA_TRACE_TESTAPP_HIGHTRAF_H

#ifdef __cplusplus
extern "C" {
#endif

#include <lttng/tracepoint.h>


    TRACEPOINT_EVENT(com_ericsson_cba_trace_testapp_hightraf, HundredPerSec,
            TP_ARGS(const char*,  my_Time,               // time stamp from application
                int,         OnePs ,                // var OnePs
                int,         TenPs ,                // var TenPs
                int,         HundredPs,             // var HundredPs
                float      , unit_float,
                const char *, unit_string
                ),
            TP_FIELDS(ctf_string(my_Time, my_Time)
                ctf_integer(int, OnePs, OnePs)
                ctf_integer(int, TenPs, TenPs)
                ctf_integer(int, HundredPs, HundredPs)
                ctf_integer_nowrite(int, hidden_unit_int, HundredPs)
                ctf_float_nowrite(float, hidden_unit_float, unit_float)
                ctf_string_nowrite(hidden_unit_string, unit_string)
                ctf_float(float, unit_float, unit_float)
                ctf_string(unit_string, unit_string)
                )
            )
        TRACEPOINT_LOGLEVEL(com_ericsson_cba_trace_testapp_hightraf, HundredPerSec, TRACE_DEBUG_LINE)

        TRACEPOINT_EVENT(com_ericsson_cba_trace_testapp_hightraf, KiloPerSec,
                TP_ARGS(const char*,  my_Time,               // time stamp from application
                    int,         OnePs ,                // var OnePs
                    int,         TenPs ,                // var TenPs
                    int,         HundredPs,             // var HundredPs
                    int,         KiloPs,                // var KiloPs
                    float      , unit_float,
                    const char *, unit_string
                    ),
                TP_FIELDS(ctf_string(my_Time, my_Time)
                    ctf_integer(int, OnePs, OnePs)
                    ctf_integer(int, TenPs, TenPs)
                    ctf_integer(int, HundredPs, HundredPs)
                    ctf_integer(int, KiloPs, KiloPs)
                    ctf_integer_nowrite(int, hidden_unit_int, KiloPs)
                    ctf_float_nowrite(float, hidden_unit_float, unit_float)
                    ctf_string_nowrite(hidden_unit_string, unit_string)
                    ctf_float(float, unit_float, unit_float)
                    ctf_string(unit_string, unit_string)
                    )
                )
                TRACEPOINT_LOGLEVEL(com_ericsson_cba_trace_testapp_hightraf, KiloPerSec, TRACE_DEBUG)



                //tracepoint(com_ericsson_cba_trace_testapp_hightraf, TenKiloPerSec, my_sTime.c_str(), OnePs, TenPs, HundredPs, KiloPs, TenKiloPs);
                TRACEPOINT_EVENT(com_ericsson_cba_trace_testapp_hightraf, TenKiloPerSec,
                        TP_ARGS(const char*,  my_Time,               // time stamp from application
                            int,         OnePs ,                // var OnePs
                            int,         TenPs ,                // var TenPs
                            int,         HundredPs,             // var HundredPs
                            int,         KiloPs,                 // var KiloPs
                            int,         TenKiloPs,
                            float      , unit_float,
                            const char *, unit_string
                            ),
                        TP_FIELDS(ctf_string(my_Time, my_Time)
                            ctf_integer(int, OnePs, OnePs)
                            ctf_integer(int, TenPs, TenPs)
                            ctf_integer(int, HundredPs, HundredPs)
                            ctf_integer(int, KiloPs, KiloPs)
                            ctf_integer(int, TenKiloPs, TenKiloPs)
                            ctf_integer_nowrite(int, hidden_unit_int, TenKiloPs)
                            ctf_float_nowrite(float, hidden_unit_float, unit_float)
                            ctf_string_nowrite(hidden_unit_string, unit_string)
                            ctf_float(float, unit_float, unit_float)
                            ctf_string(unit_string, unit_string)
                            )
                            )
                            TRACEPOINT_LOGLEVEL(com_ericsson_cba_trace_testapp_hightraf, TenKiloPerSec, TRACE_DEBUG)




                            //tracepoint(com_ericsson_cba_trace_testapp_hightraf, HundredKiloPerSec, my_sTime.c_str(), OnePs, TenPs, HundredPs, KiloPs, TenKiloPs, HundredKiloPs);
                            //TRACEPOINT_EVENT(com_ericsson_cba_trace_testapp_hightraf, HundredKiloPerSec,
                            //                 TP_ARGS(const char*,  my_Time,               // time stamp from application
                            //                          int,         OnePs ,                // var OnePs
                            //                          int,         TenPs ,                // var TenPs
                            //                          int,         HundredPs,             // var HundredPs
                            //                          int,         KiloPs,                 // var KiloPs
                            //                          int,         TenKiloPs,
                            //                          int,         HundredKiloPs,
                            //                          float      , unit_float,
                            //                         const char *, unit_string
                            //                          ),
                            //                 TP_FIELDS(ctf_string(my_Time, my_Time)
                            //                           ctf_integer(int, OnePs, OnePs)
                            //                           ctf_integer(int, TenPs, TenPs)
                            //                           ctf_integer(int, HundredPs, HundredPs)
                            //                           ctf_integer(int, KiloPs, KiloPs)
                            //                           ctf_integer(int, TenKiloPs, TenKiloPs)
                            //                           ctf_integer(int, HundredKiloPs, HundredKiloPs)
                            //                           ctf_integer_nowrite(int, hidden_unit_int, HundredKiloPs)
                            //                           ctf_float_nowrite(float, hidden_unit_float, unit_float)
                            //                           ctf_string_nowrite(hidden_unit_string, unit_string)
                            //                           ctf_float(float, unit_float, unit_float)
                            //                           ctf_string(unit_string, unit_string)
                            //                          )
                            //)
                            //TRACEPOINT_LOGLEVEL(com_ericsson_cba_trace_testapp_hightraf, HundredKiloPerSec, TRACE_DEBUG)


#endif /* _COM_ERICSSON_CBA_TRACE_TESTAPP_HIGHTRAF_H */

#undef TRACEPOINT_INCLUDE_FILE
#define TRACEPOINT_INCLUDE_FILE ./com_ericsson_cba_trace_testapp_hightraf.h

                            /* This part must be outside protection */
#include <lttng/tracepoint-event.h>

#ifdef __cplusplus
}
#endif
